/// #pkgName FGUI包名
/// #prefabName ui预制名字
/// #viewName uiview名字
/// #UIName ui的名字，prefabName首字母转大写
/// 该脚本由模板创建，不可修改
/// created by chenwb 2024

import { FguiViewModel } from "../../../../frameWork/fgui/mvc/FguiViewModel";

export class DialogViewVM extends FguiViewModel {

    readonly Isday: fgui.Controller;
    readonly ThirdView: fgui.GComponent;
    readonly DescLabel: fgui.GRichTextField;
    readonly LineImg: fgui.GImage;
    readonly CancelBtn: fgui.GButton;
    readonly ConfirmBtn: fgui.GButton;
    readonly VideoBtn: fgui.GButton;
    readonly BtnGroup: fgui.GGroup;
    readonly Toggle: fgui.GButton;
    readonly TipLabel: fgui.GTextField;

    constructor(panel: fgui.GComponent) {
        super(panel);
        this.Isday = panel.getController("isday");
        this.ThirdView = panel.getChild("ThirdView") as fgui.GComponent;
        this.DescLabel = panel.getChild("DescLabel") as fgui.GRichTextField;
        this.LineImg = panel.getChild("LineImg") as fgui.GImage;
        this.CancelBtn = panel.getChild("CancelBtn") as fgui.GButton;
        this.ConfirmBtn = panel.getChild("ConfirmBtn") as fgui.GButton;
        this.VideoBtn = panel.getChild("VideoBtn") as fgui.GButton;
        this.BtnGroup = panel.getChild("BtnGroup") as fgui.GGroup;
        this.Toggle = panel.getChild("Toggle") as fgui.GButton;
        this.TipLabel = panel.getChild("TipLabel") as fgui.GTextField;

    }
}